# std::basic_ispanstream<CharT,Traits>::rdbuf

From cppreference.com
< cpp‎ | io‎ | basic ispanstream

std::basic_spanbuf <CharT, Traits>* rdbuf() const noexcept; |  | (since C++23)

Returns pointer to the wrapped raw device object.

### Parameters

(none)

### Return value

Pointer to the wrapped raw device object.

### Example

| This section is incomplete Reason: no example

### See also

rdbuf | manages associated stream buffer (public member function of `std::basic_ios<CharT,Traits>`)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_ispanstream/rdbuf&oldid=130883"